import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;

import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.fs.FileSystem;
import org.apache.hadoop.fs.Path;

/**
 * Helper class
 * @author SergeiL
 */
public class Helper
{
	/**
	 * Method to read numbers (factors) from files in a folder in HDFS
	 */
	/*public static ArrayList<String> readResult(String pathStr, Configuration config) throws IOException
	{
		ArrayList<String> result = new ArrayList<String>();

		FileSystem fs = FileSystem.get(config);
		Path path = new Path(pathStr);

		if (fs.getFileStatus(path).isDir())
		{
			FileStatus[] listFiles = fs.listStatus(path);

			for (int i = 0; i < listFiles.length; i++)
			{
				try
				{
					if (listFiles[i].isDir()) continue;
					// Get the object of DataInputStream
					FSDataInputStream in = fs.open(listFiles[i].getPath());
					BufferedReader br = new BufferedReader(new InputStreamReader(in));
					String strLine;
					// Read File Line By Line
					while ((strLine = br.readLine()) != null) result.add(strLine);
				}
				catch (Exception e)
				{
					e.printStackTrace();
				}
			}
		}

		return result;
	}*/

	/**
	 * Load train data file
	 * @param cachePath - cache path
	 * @return ArrayList<DataField>
	 * @throws IOException
	 */
	public static void loadTrainDataFile(String cachePath, ArrayList<DataField> data, Configuration conf) throws IOException
	{
		// note use of regular java.io methods here - this is a local file now
		FileSystem fs = FileSystem.get(conf);
		BufferedReader reader = new BufferedReader(new InputStreamReader(fs.open(new Path(cachePath))));		

		try
		{
			String line;
			DataField field;
			int[] lineArr;

			while ((line = reader.readLine()) != null)
			{
				lineArr = parseStringToInt(line.split(";"));
				field = new DataField(lineArr[0], lineArr[1], lineArr[2], lineArr[3]);
				data.add(field);
			}
		}
		finally
		{
			if(reader != null) reader.close();
		}
	}

	/**
	 * Parse string to int
	 * @param input - string array
	 * @return int array
	 */
	public static int[] parseStringToInt(String[] input)
	{
		int[] result = new int[input.length];
		for (int i = 0; i < input.length; i++) result[i] = (Integer.parseInt(input[i]));
		return result;
	}
}