import java.io.IOException;
import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;

/**
 * Train data map class
 * @author SergeiL
 */
public class PnBmTrainMapper extends Mapper<LongWritable, Text, Text, Text>
{
	@Override
	protected void map(LongWritable key, Text value, Context context) throws IOException, InterruptedException
	{
		String[] dataArr = value.toString().split(Main.LINE_SEPARATOR);
		String valueResult = "";
		for (int i = 1; i < dataArr.length; i++) valueResult += dataArr[i] + Main.LINE_SEPARATOR;
		valueResult = valueResult.substring(0, valueResult.lastIndexOf(Main.LINE_SEPARATOR));
		context.write(new Text(dataArr[0]), new Text(valueResult));
	}
}