import java.io.Serializable;

public class DataField implements Serializable
{
	private static final long serialVersionUID = 1L;
	private String mSex;
	private double mHeight;
	private double mWeight;
	private double mFootSize;

	private double mMeanHeight;
	private double mVarianceHeight;
	private double mMeanWeight;
	private double mVarianceWeight;
	private double mMeanFootSize;
	private double mVarianceFootSize;

	/**
	 * Constructor
	 * @param sex - sex
	 * @param height - height
	 * @param weight - weight
	 * @param footSize - foot size
	 */
	public DataField(String sex, double height, double weight, double footSize)
	{
		mSex = sex;
		mHeight = height;
		mWeight = weight;
		mFootSize = footSize;
	}

	/**
	 * Constructor
	 * @param sex - sex
	 * @param meanHeight - mean height
	 * @param varianceHeight - variance height
	 * @param meanWeight - mean weight
	 * @param varianceWeight - variance weight
	 * @param meanFootSize - mean foot size
	 * @param varianceFootSize - variance foot size
	 */
	public DataField(String sex, double meanHeight, double varianceHeight, double meanWeight, double varianceWeight, double meanFootSize, double varianceFootSize)
	{
		mSex = sex;
		mMeanHeight = meanHeight;
		mVarianceHeight = varianceHeight;
		mMeanWeight = meanWeight;
		mVarianceWeight = varianceWeight;
		mMeanFootSize = meanFootSize;
		mVarianceFootSize = varianceFootSize;
	}

	/**
	 * Get sex
	 * @return string
	 */
	public String getSex()
	{
		return mSex;
	}

	/**
	 * Get height
	 * @return double
	 */
	public double getHeight()
	{
		return mHeight;
	}

	/**
	 * Get weight
	 * @return double
	 */
	public double getWeight()
	{
		return mWeight;
	}

	/**
	 * Get foot size
	 * @return double
	 */
	public double getFootSize()
	{
		return mFootSize;
	}

	/**
	 * Get mean height
	 * @return double
	 */
	public double getMeanHeight()
	{
		return mMeanHeight;
	}

	/**
	 * Get variance height
	 * @return double
	 */
	public double getVarianceHeight()
	{
		return mVarianceHeight;
	}

	/**
	 * Get mean weight
	 * @return double
	 */
	public double getMeanWeight()
	{
		return mMeanWeight;
	}

	/**
	 * Get variance weight
	 * @return double
	 */
	public double getVarianceWeight()
	{
		return mVarianceWeight;
	}

	/**
	 * Get mean foot size
	 * @return double
	 */
	public double getMeanFootSize()
	{
		return mMeanFootSize;
	}

	/**
	 * Get variance foot size
	 * @return double
	 */
	public double getVarianceFootSize()
	{
		return mVarianceFootSize;
	}
}